Last Comment Bug 768150 - The developer toolbar should be preffed on by default [devtb][GCLI]
: The developer toolbar should be preffed on by default [devtb][GCLI]
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: Firefox 16
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on: 761481
Blocks: 769186
  Show dependency treegraph
 
Reported: 2012-06-25 11:57 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-07-05 06:29 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upload 1 (723 bytes, patch)
2012-06-25 12:02 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Review
Upload 2 (3.09 KB, patch)
2012-06-28 02:55 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
ttaubert: review+
Details | Diff | Review
Upload 3 (2.62 KB, patch)
2012-06-29 03:47 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Review
Upload 4 (2.66 KB, patch)
2012-06-29 03:50 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
ttaubert: review+
Details | Diff | Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-25 11:57:39 PDT

    
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-25 12:02:39 PDT
Created attachment 636423 [details] [diff] [review]
Upload 1
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-25 14:31:49 PDT
https://tbpl.mozilla.org/?tree=Try&rev=986cd926eb22
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-28 02:55:37 PDT
Created attachment 637428 [details] [diff] [review]
Upload 2


Will need r from a browser peer.

This removes the key sequence so we can land. Bug 769186 puts it back in again, however we will need to fix the conflict with the editor before we can do that.
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-28 15:03:20 PDT
Comment on attachment 637428 [details] [diff] [review]
Upload 2

Hey Tim - trivial patch that prefs the toolbar on by default, and removes the key sequence as a result of a conflict with the editor.
Comment 5 Tim Taubert [:ttaubert] 2012-06-29 01:25:18 PDT
Comment on attachment 637428 [details] [diff] [review]
Upload 2

Review of attachment 637428 [details] [diff] [review]:
-----------------------------------------------------------------

Do you plan to leave the developer toolbar preffed on for Aurora as well after the migration or will this be enabled for a couple of trains for Nightly only? If it's the latter then it might make sense to move this to browser/branding/nightly/pref/firefox-branding.js so you don't have to revert it when merged to Aurora.
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-29 01:43:12 PDT
I think we're feeling more confident about the commands that we've got now and our progress, the intention is to pref this on, and leave it on. Clearly if things don't go according to plan, we can pref it off again.

Title updated to reflect this.
Comment 7 Panos Astithas [:past] 2012-06-29 01:44:26 PDT
(In reply to Tim Taubert [:ttaubert] from comment #5)
> Do you plan to leave the developer toolbar preffed on for Aurora as well
> after the migration or will this be enabled for a couple of trains for
> Nightly only? If it's the latter then it might make sense to move this to
> browser/branding/nightly/pref/firefox-branding.js so you don't have to
> revert it when merged to Aurora.

Gavin had reservations about using the branding pref file for this purpose, see bug 749628 comment 39.
Comment 8 Tim Taubert [:ttaubert] 2012-06-29 01:45:57 PDT
(In reply to Panos Astithas [:past] from comment #7)
> Gavin had reservations about using the branding pref file for this purpose,
> see bug 749628 comment 39.

Aha! Thanks for the hint.
Comment 9 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-29 03:47:03 PDT
Created attachment 637833 [details] [diff] [review]
Upload 3

The correct way to remove a key sequence ...
Sorry Tim!
Comment 10 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-29 03:50:29 PDT
Created attachment 637835 [details] [diff] [review]
Upload 4

Rushing.
This removes devToolbar.commandkey too.
Comment 11 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-29 05:34:25 PDT
https://tbpl.mozilla.org/?tree=Try&rev=9d8184b3d582
Comment 12 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-07-04 15:34:58 PDT
https://tbpl.mozilla.org/?tree=Try&rev=59729f63ee39
Comment 13 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-07-05 00:25:36 PDT
https://tbpl.mozilla.org/?tree=Fx-Team&rev=124c0182df1c
Comment 14 Tim Taubert [:ttaubert] 2012-07-05 06:29:37 PDT
https://hg.mozilla.org/mozilla-central/rev/5d6c06259bb1

Note You need to log in before you can comment on or make changes to this bug.